#include "KinectSDKSourcePluginFactory.h"
#include "KinectSDKSourcePlugin.h"

#include <QtPlugin>

KinectSDKSourcePluginFactory::KinectSDKSourcePluginFactory()
{
}

KinectSDKSourcePluginFactory::~KinectSDKSourcePluginFactory()
{
}

ritk::SourcePlugin*
KinectSDKSourcePluginFactory::CreateInstance()
{
	return new KinectSDKSourcePlugin();
}

QString
KinectSDKSourcePluginFactory::GetName()
{
	return tr("KinectSDK");
}

QString
KinectSDKSourcePluginFactory::GetDescription()
{
	return tr("");
}


Q_EXPORT_PLUGIN2(KinectSDKPlayer, KinectSDKSourcePluginFactory)
